package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author shisl
 * @package com.yixin.ms.model.dto
 * @class ProvinceHealthCodeDTO
 * @date 2022/11/9 上午10:14
 * @description
 */
@Data
public class ProvinceHealthCodeDTO {

    @ApiParam("appKey")
    private String appKey;

    @ApiParam("签名md5(appKey+appSecret+timestamp) 小写32位")
    private String sign;

    @ApiParam("时间戳毫秒")
    private String reqTimestamp;

    @ApiModelProperty(value = "身份号码，国密SzhzSm4Util根据secretKey加密")
    private String idNumber;



}
