package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


@ApiModel("第三方接口查询DTO")
@Data
@Accessors(chain = true)
public class ThirdPlatformDTO {

    @ApiModelProperty(value = "验证方式 QRCODE:二维码 IDCARD:身份证")
    private String verifyType = "IDCARD";

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "健康码barCode")
    private String qrcode;

    @ApiModelProperty(value = "设备编码")
    private String sn;

    //** ----------------20230726 连续任务参数 ------------
    @ApiModelProperty(value = "任务id 唯一 三方接口返回")
    private String taskId;

    @ApiModelProperty(value = "用户选择结果")
    private String value;
    // ----------------20240327 传递三方参数------------
    @ApiModelProperty(value = "核验的方式 checkVerify/check/verify")
    private String action;
    @ApiModelProperty(value = "照片")
    private String photo;
    @ApiModelProperty(value = "信息")
    private ExtInfoDto extInfo;
}

