package com.yixin.ms.model.enums;

import cn.hutool.core.util.IdUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;


@AllArgsConstructor
@Getter
public enum ErrorCodeEnum {

    PARAMETER_ERROR(10008, "参数错误"),
    NO_PERMISSION(40001, "无权访问，请联系管理员"),
    REQUEST_LIMIT(40002, "接口调用次数已达上限，请联系管理员"),

    SIGN_ERROR(104, "签名有误");

    private int errorCode;

    private String errorMsg;


}
