package com.yixin.ms.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/8/11 13:52
 * @description:
 */
@AllArgsConstructor
@Getter
public enum NucleicStatusEnum {
    NEGATIVE("阴性", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/nucleic/green_tick.png"),
    POSITIVE("阳性", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/nucleic/red_tick.png"),
    NOT_AVAILABLE("暂无", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/nucleic/exclamation_mark.png");

    private String desc;

    private String url;
}
