package com.yixin.ms.service;

import com.yixin.ms.model.dto.IrsShortTermDTO;
import com.yixin.ms.model.dto.IrsTripCheckScheduleDTO;
import com.yixin.ms.model.dto.IrsTripSendMsgDTO;
import com.yixin.ms.model.vo.HealtCodeUserVO;

/**
 * @author: lileilei
 * @date: 2022/8/5 13:48
 * @description:
 */
public interface IrsTripService {

    /**
     * 行程核验查询短信验证服务
     *
     * @param sendMsgDTO
     * @return
     */
    String sendMsg(IrsTripSendMsgDTO sendMsgDTO);

    /**
     * 行程核验信息
     *
     * @param checkScheduleDTO
     * @return
     */
    String checkSchedule(IrsTripCheckScheduleDTO checkScheduleDTO);

    /**
     * 获取省健康码信息
     *
     * @param irsShortTermDTO
     * @return
     */
    String getProvinceHealthCode(IrsShortTermDTO irsShortTermDTO);


}
