package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName OpenResultDto
 * @Author WXG
 * @Date 2024/3/26 13:27
 */
@Data
public class AlipayUserInfoReqDto{

    @ApiModelProperty(value = "用户授权码")
    private String authCode;

    @ApiModelProperty(value = "用户id，封闭场景下才有")
    private String alipayUid;

    @ApiModelProperty(value = "checkWay=0或者3 时候ISV的透传参数")
    private String cardname;

    @ApiModelProperty(value = "checkWay=0或者3 时候ISV的透传参数 身份证号")
    private String cardnumber;

    @ApiModelProperty(value = "1000")
    private String code;

    @ApiModelProperty(value = "调用服务结果")
    private ExtInfoDto extInfo;

    @ApiModelProperty(value = "ftoken")
    private String ftoken;

    private String isvResult;

    @ApiModelProperty(value = "checkWay=1 时候ISV的透传参数")
    private String qrcode;

    @ApiModelProperty(value = "E00000")
    private String subCode;

    @ApiModelProperty(value = "成功")
    private String subMessage;

    @ApiModelProperty(value = "用户自定义参数id唯一")
    private String vid;

    @ApiModelProperty(value = "支付宝小程序appId")
    private String appId;
}
