package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author shisl
 * @package com.yixin.ms.model.dto
 * @class LinkageDto
 * @date 2023/8/30 上午11:51
 * @description
 */
@Data
@Accessors(chain = true)
public class LinkageItemDto {

    // taskId 对应 extend2, value 对应 extend7
    private String extend2;
    private String extend7;

//    private String extend3;
//
//    private String extend6;
//
//    private String hsStatus;
//
//    private String jkmStatus;
//
//    private String jkmType;
//
//    private Integer outtype;
//
//    private String time;

    private String  name;

    private String phone;

    private String photo;

    /**
     * 0 人脸 cardid 身份证
     * 1 身份证 cardid 身份证
     * 3 二维码 cardid 二维码
     * 4 护照 PASSPORT
     *
     */
    private String verifytype;
    private String cardid;

    private String qrcode;

    private String taskId;
    private String value;
    /** @see com.yixin.ms.model.enums.ActionEnum*/
    private String action;
    private ExtInfoDto extInfo;
    /**
     * @see com.yixin.ms.model.enums.HhFaceVersionEnum
     */
    private String hhFaceVersion;

    private String idNumber;
    private String cardIdEx;



}
