package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


@ApiModel("第三方接口查询加密内容DTO")
@Data
@Accessors(chain = true)
public class ThirdPlatformSm4DTO {

    @ApiModelProperty(value = "签名md5(appKey+appSecret+timestamp) 小写32位")
    private String sign;

    @ApiModelProperty(value = "时间戳毫秒 1666881956513")
    private Long reqTimestamp;

    @ApiModelProperty(value = "加密后的内容")
    private String bizContent;


}

