package com.yixin.ms.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/8/4 11:16
 * @description:
 */
@Getter
@AllArgsConstructor
public enum HealthOpenEnum {
    /**
     * 是否放行 0放行，1禁止通行
     */
    RELEASE(0, "放行"),
    NO_THOROUGHFARE(1, "禁止通行");

    private Integer code;
    private String desc;
}
