package com.yixin.ms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package com.yixin.ms.model.vo
 * @class MultipleChooseItemVO
 * @date 2023/7/26 下午1:07
 * @description
 */
@Data
public class MultipleChooseItemVO {

    @ApiModelProperty(value = "显示内容")
    private String label;
    @ApiModelProperty(value = "选项值")
    private String value;
    @ApiModelProperty(value = "是否选中")
    private Boolean selected = Boolean.FALSE;

    @ApiModelProperty(value = "顶部标题")
    private String topTitle;
    @ApiModelProperty(value = "底部左标题")
    private String bottomLeftTitle;
    @ApiModelProperty(value = "底部右标题")
    private String bottomRightTitle;

}
