package com.yixin.ms.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author shisl
 * @package com.yixin.ms.server.dto
 * @class QuTongIdentityAuthDto
 * @date 2023/4/12 上午9:26
 * @description
 */
@Data
@Accessors(chain = true)
public class QuTongIdentityAuthDto {

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 设备类型
     * 海康威视数字技术股份有限公司	480586
     * 浙江大华技术股份有限公司	238634
     * 杭州航汇数字技术有限公司	217583
     * 其他	999999
     */
    private Integer deviceType = 217583;

    public static Integer HAI_KANG = 480586;
    public static Integer DA_HUA = 238634;
    public static Integer HANG_HUI = 217583;
    public static Integer OTHER = 999999;


}
